## EvAnnotationText

EvAnnotationText

## Synopsis

                        EvAnnotation;
                        EvAnnotationClass;
                        EvAnnotationMarkup;
                        EvAnnotationMarkupIface;
                        EvAnnotationText;
                        EvAnnotationTextClass;
                        EvAnnotationAttachment;
                        EvAnnotationAttachmentClass;
    gchar *             ev_annotation_markup_get_label      (EvAnnotationMarkup *markup);
    void                ev_annotation_markup_set_label      (EvAnnotationMarkup *markup,
                                                             const gchar *label);
    gdouble             ev_annotation_markup_get_opacity    (EvAnnotationMarkup *markup);
    void                ev_annotation_markup_set_opacity    (EvAnnotationMarkup *markup,
                                                             gdouble opacity);
    gboolean            ev_annotation_markup_has_popup      (EvAnnotationMarkup *markup);
    void                ev_annotation_markup_get_rectangle  (EvAnnotationMarkup *markup,
                                                             EvRectangle *ev_rect);
    gboolean            ev_annotation_markup_get_is_open    (EvAnnotationMarkup *markup);
    void                ev_annotation_markup_set_is_open    (EvAnnotationMarkup *markup,
                                                             gboolean is_open);
    EvAnnotation *      ev_annotation_text_new              (EvPage *page);
    EvAnnotation *      ev_annotation_attachment_new        (EvPage *page,
                                                             EvAttachment *attachment);

## Object Hierarchy

      GObject
       +----EvAnnotation
             +----EvAnnotationAttachment
             +----EvAnnotationText

      GInterface
       +----EvAnnotationMarkup

      GObject
       +----EvAnnotation
             +----EvAnnotationText

      GObject
       +----EvAnnotation
             +----EvAnnotationAttachment

## Prerequisites

EvAnnotationMarkup requires EvAnnotation.

## Known Derived Interfaces

EvAnnotation is required by EvAnnotationMarkup.

## Implemented Interfaces

EvAnnotationText implements EvAnnotationMarkup.

EvAnnotationAttachment implements EvAnnotationMarkup.

## Known Implementations

EvAnnotationMarkup is implemented by EvAnnotationAttachment and EvAnnotationText.

## Properties

      "has-popup"                gboolean              : Read / Write
      "is-open"                  gboolean              : Read / Write
      "label"                    gchar*                : Read / Write
      "opacity"                  gdouble               : Read / Write
      "rectangle"                EvRectangle*          : Read / Write

## Description

## Details

### EvAnnotation

    typedef struct _EvAnnotation EvAnnotation;

### EvAnnotationClass

    typedef struct {
    	GObjectClass parent_class;
    } EvAnnotationClass;

### EvAnnotationMarkup

    typedef struct _EvAnnotationMarkup EvAnnotationMarkup;

### EvAnnotationMarkupIface

    typedef struct {
    	GTypeInterface base_iface;
    } EvAnnotationMarkupIface;

### EvAnnotationText

    typedef struct _EvAnnotationText EvAnnotationText;

### EvAnnotationTextClass

    typedef struct {
    	EvAnnotationClass parent_class;
    } EvAnnotationTextClass;

### EvAnnotationAttachment

    typedef struct _EvAnnotationAttachment EvAnnotationAttachment;

### EvAnnotationAttachmentClass

    typedef struct {
    	EvAnnotationClass parent_class;
    } EvAnnotationAttachmentClass;

### ev_annotation_markup_get_label ()

    gchar *             ev_annotation_markup_get_label      (EvAnnotationMarkup *markup);

`markup` : |
Returns : |

### ev_annotation_markup_set_label ()

    void                ev_annotation_markup_set_label      (EvAnnotationMarkup *markup,
                                                             const gchar *label);

`markup` : |
`label` : |

### ev_annotation_markup_get_opacity ()

    gdouble             ev_annotation_markup_get_opacity    (EvAnnotationMarkup *markup);

`markup` : |
Returns : |

### ev_annotation_markup_set_opacity ()

    void                ev_annotation_markup_set_opacity    (EvAnnotationMarkup *markup,
                                                             gdouble opacity);

`markup` : |
`opacity` : |

### ev_annotation_markup_has_popup ()

    gboolean            ev_annotation_markup_has_popup      (EvAnnotationMarkup *markup);

`markup` : |
Returns : |

### ev_annotation_markup_get_rectangle ()

    void                ev_annotation_markup_get_rectangle  (EvAnnotationMarkup *markup,
                                                             EvRectangle *ev_rect);

`markup` : |
`ev_rect` : |

### ev_annotation_markup_get_is_open ()

    gboolean            ev_annotation_markup_get_is_open    (EvAnnotationMarkup *markup);

`markup` : |
Returns : |

### ev_annotation_markup_set_is_open ()

    void                ev_annotation_markup_set_is_open    (EvAnnotationMarkup *markup,
                                                             gboolean is_open);

`markup` : |
`is_open` : |

### ev_annotation_text_new ()

    EvAnnotation *      ev_annotation_text_new              (EvPage *page);

`page` : |
Returns : |

### ev_annotation_attachment_new ()

    EvAnnotation *      ev_annotation_attachment_new        (EvPage *page,
                                                             EvAttachment *attachment);

## Property Details

### The `"has-popup"` property

      "has-popup"                gboolean              : Read / Write

Whether the markup annotation has a popup window associated.

Default value: TRUE

### The `"is-open"` property

      "is-open"                  gboolean              : Read / Write

Whether the popup associated to the markup annotation is open.

Default value: FALSE

### The `"label"` property

      "label"                    gchar*                : Read / Write

Label of the markup annotation.

Default value: NULL

### The `"opacity"` property

      "opacity"                  gdouble               : Read / Write

Opacity of the markup annotation.

Allowed values: >= 0

Default value: 0

### The `"rectangle"` property

      "rectangle"                EvRectangle*          : Read / Write

The Rectangle of the popup associated to the markup annotation.